{"openapi":"3.1.0","info":{"title":"adsb.lol API","description":"\nThe adsb.lol API is a free and open source\nAPI for the [adsb.lol](https://adsb.lol) project.\n\n## Usage\nYou can use the API by sending a GET request\nto the endpoint you want to use.\nThe API will return a JSON response.\n\n## Feeders\n\nBy sending data to adsb.lol, you get access to the\n[direct readsb re-api](https://www.adsb.lol/docs/feeders-only/re-api/)\nand\n[our raw aggregated data](https://www.adsb.lol/docs/feeders-only/beast-mlat-out/). :)\n\n## Terms of Service\nYou can use the API for free.\n\nIn the future, you will require an API key\nwhich you can get by feeding to adsb.lol.\n\nIf you want to use the API for production purposes,\nplease contact me so I do not break your application by accident.\n\n## License\n\nThe license for the API as well as all data ADSB.lol\nmakes public is [ODbL](https://opendatacommons.org/licenses/odbl/summary/).\n\nThis is the same license\n[OpenStreetMap](https://www.openstreetmap.org/copyright) uses.\n","license":{"name":"Open Data Commons Open Database License (ODbL) v1.0","url":"https://opendatacommons.org/licenses/odbl/1-0/"},"version":"0.0.2"},"paths":{"/v2/pia":{"get":{"tags":["v2"],"summary":"Aircrafts with PIA addresses (Privacy ICAO Address)","description":"Returns all aircraft with [PIA](https://nbaa.org/aircraft-operations/security/privacy/privacy-icao-address-pia/) addresses.","operationId":"v2_pia_v2_pia_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}}}}},"/v2/mil":{"get":{"tags":["v2"],"summary":"Military registered aircrafts","description":"Returns all military registered aircraft.","operationId":"v2_mil_v2_mil_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}}}}},"/v2/ladd":{"get":{"tags":["v2"],"summary":"Aircrafts on LADD (Limiting Aircraft Data Displayed)","description":"Returns all aircrafts on [LADD](https://www.faa.gov/pilots/ladd) filter.","operationId":"v2_ladd_v2_ladd_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}}}}},"/v2/sqk/{squawk}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific squawk (1200, 7700, etc.)","description":"Returns aircraft filtered by \"squawk\" [transponder code](https://en.wikipedia.org/wiki/List_of_transponder_codes).","operationId":"v2_squawk_filter_v2_sqk__squawk__get","parameters":[{"name":"squawk","in":"path","required":true,"schema":{"type":"string","title":"Squawk"},"example":"1200"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/squawk/{squawk}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific squawk (1200, 7700, etc.)","description":"Returns aircraft filtered by \"squawk\" [transponder code](https://en.wikipedia.org/wiki/List_of_transponder_codes).","operationId":"v2_squawk_filter_v2_squawk__squawk__get","parameters":[{"name":"squawk","in":"path","required":true,"schema":{"type":"string","title":"Squawk"},"example":"1200"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/type/{aircraft_type}":{"get":{"tags":["v2"],"summary":"Aircrafts of specific type (A320, B738)","description":"Returns aircraft filtered by [aircraft type designator code](https://en.wikipedia.org/wiki/List_of_aircraft_type_designators).","operationId":"v2_type_filter_v2_type__aircraft_type__get","parameters":[{"name":"aircraft_type","in":"path","required":true,"schema":{"type":"string","title":"Aircraft Type"},"example":"A320"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/reg/{registration}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific registration (G-KELS)","description":"Returns aircraft filtered by [aircarft registration code](https://en.wikipedia.org/wiki/Aircraft_registration).","operationId":"v2_reg_filter_v2_reg__registration__get","parameters":[{"name":"registration","in":"path","required":true,"schema":{"type":"string","title":"Registration"},"example":"G-KELS"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/registration/{registration}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific registration (G-KELS)","description":"Returns aircraft filtered by [aircarft registration code](https://en.wikipedia.org/wiki/Aircraft_registration).","operationId":"v2_reg_filter_v2_registration__registration__get","parameters":[{"name":"registration","in":"path","required":true,"schema":{"type":"string","title":"Registration"},"example":"G-KELS"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/icao/{icao_hex}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific transponder hex code (4CA87C)","description":"Returns aircraft filtered by [transponder hex code](https://en.wikipedia.org/wiki/Aviation_transponder_interrogation_modes#ICAO_24-bit_address).","operationId":"v2_hex_filter_v2_icao__icao_hex__get","parameters":[{"name":"icao_hex","in":"path","required":true,"schema":{"type":"string","title":"Icao Hex"},"example":"4CA87C"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/hex/{icao_hex}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific transponder hex code (4CA87C)","description":"Returns aircraft filtered by [transponder hex code](https://en.wikipedia.org/wiki/Aviation_transponder_interrogation_modes#ICAO_24-bit_address).","operationId":"v2_hex_filter_v2_hex__icao_hex__get","parameters":[{"name":"icao_hex","in":"path","required":true,"schema":{"type":"string","title":"Icao Hex"},"example":"4CA87C"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/callsign/{callsign}":{"get":{"tags":["v2"],"summary":"Aircrafts with specific callsign (JBU1942)","description":"Returns aircraft filtered by [callsign](https://en.wikipedia.org/wiki/Aviation_call_signs).","operationId":"v2_callsign_filter_v2_callsign__callsign__get","parameters":[{"name":"callsign","in":"path","required":true,"schema":{"type":"string","title":"Callsign"},"example":"JBU1942"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/lat/{lat}/lon/{lon}/dist/{radius}":{"get":{"tags":["v2"],"summary":"Aircrafts surrounding a point (lat, lon) up to 250nm","description":"Returns aircraft located in a circle described by the latitude and longtidude of its center and its radius.","operationId":"v2_point_v2_lat__lat__lon__lon__dist__radius__get","parameters":[{"name":"lat","in":"path","required":true,"schema":{"type":"number","maximum":90,"minimum":-90,"title":"Lat"},"example":51.89508},{"name":"lon","in":"path","required":true,"schema":{"type":"number","maximum":180,"minimum":-180,"title":"Lon"},"example":2.79437},{"name":"radius","in":"path","required":true,"schema":{"type":"integer","maximum":250,"minimum":0,"title":"Radius"},"example":250}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/point/{lat}/{lon}/{radius}":{"get":{"tags":["v2"],"summary":"Aircrafts surrounding a point (lat, lon) up to 250nm","description":"Returns aircraft located in a circle described by the latitude and longtidude of its center and its radius.","operationId":"v2_point_v2_point__lat___lon___radius__get","parameters":[{"name":"lat","in":"path","required":true,"schema":{"type":"number","maximum":90,"minimum":-90,"title":"Lat"},"example":51.89508},{"name":"lon","in":"path","required":true,"schema":{"type":"number","maximum":180,"minimum":-180,"title":"Lon"},"example":2.79437},{"name":"radius","in":"path","required":true,"schema":{"type":"integer","maximum":250,"minimum":0,"title":"Radius"},"example":250}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/closest/{lat}/{lon}/{radius}":{"get":{"tags":["v2"],"summary":"Single aircraft closest to a point (lat, lon)","description":"Returns the closest aircraft to a point described by the latitude and longtidude within a radius up to 250nm.","operationId":"v2_closest_v2_closest__lat___lon___radius__get","parameters":[{"name":"lat","in":"path","required":true,"schema":{"type":"number","maximum":90,"minimum":-90,"title":"Lat"},"example":51.89508},{"name":"lon","in":"path","required":true,"schema":{"type":"number","maximum":180,"minimum":-180,"title":"Lon"},"example":2.79437},{"name":"radius","in":"path","required":true,"schema":{"type":"integer","maximum":250,"minimum":0,"title":"Radius"},"example":250}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V2Response_Model"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/0/airport/{icao}":{"get":{"tags":["v0","v0"],"summary":"Airports by ICAO","description":"Data by https://github.com/vradarserver/standing-data/","operationId":"api_airport_api_0_airport__icao__get","parameters":[{"name":"icao","in":"path","required":true,"schema":{"type":"string","title":"Icao"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/0/routeset":{"post":{"tags":["v0","v0"],"summary":"Api Routeset","operationId":"api_routeset_api_0_routeset_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlaneList"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/0/me":{"get":{"tags":["v0"],"summary":"Information about your receiver and global stats","operationId":"api_me_0_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/0/my":{"get":{"tags":["v0"],"summary":"My Map redirect based on IP","operationId":"api_my_0_my_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"PlaneInstance":{"properties":{"callsign":{"type":"string","title":"Callsign"},"lat":{"type":"number","title":"Lat"},"lng":{"type":"number","title":"Lng"}},"type":"object","required":["callsign","lat","lng"],"title":"PlaneInstance"},"PlaneList":{"properties":{"planes":{"anyOf":[{"items":{"$ref":"#/components/schemas/PlaneInstance"},"type":"array"},{"type":"null"}],"title":"Planes"}},"type":"object","title":"PlaneList"},"V2Response_AcItem":{"properties":{"alert":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Alert"},"alt_baro":{"anyOf":[{"type":"integer"},{"type":"string"},{"type":"null"}],"title":"Alt Baro"},"alt_geom":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Alt Geom"},"baro_rate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Baro Rate"},"category":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Category"},"emergency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Emergency"},"flight":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Flight"},"gs":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Gs"},"gva":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Gva"},"hex":{"type":"string","title":"Hex"},"lat":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Lat"},"lon":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Lon"},"messages":{"type":"integer","title":"Messages"},"mlat":{"items":{"type":"string"},"type":"array","title":"Mlat"},"nac_p":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nac P"},"nac_v":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nac V"},"nav_altitude_mcp":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nav Altitude Mcp"},"nav_heading":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Nav Heading"},"nav_qnh":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Nav Qnh"},"nic":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nic"},"nic_baro":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nic Baro"},"r":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"R"},"rc":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Rc"},"rssi":{"type":"number","title":"Rssi"},"sda":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Sda"},"seen":{"type":"number","title":"Seen"},"seen_pos":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Seen Pos"},"sil":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Sil"},"sil_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sil Type"},"spi":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Spi"},"squawk":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Squawk"},"t":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"T"},"tisb":{"items":{"type":"string"},"type":"array","title":"Tisb"},"track":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Track"},"type":{"type":"string","title":"Type"},"version":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Version"},"geom_rate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geom Rate"},"dbFlags":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Dbflags"},"nav_modes":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Nav Modes"},"true_heading":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"True Heading"},"ias":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Ias"},"mach":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Mach"},"mag_heading":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Mag Heading"},"oat":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Oat"},"roll":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Roll"},"tas":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Tas"},"tat":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Tat"},"track_rate":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Track Rate"},"wd":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Wd"},"ws":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Ws"},"gpsOkBefore":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Gpsokbefore"},"gpsOkLat":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Gpsoklat"},"gpsOkLon":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Gpsoklon"},"lastPosition":{"anyOf":[{"$ref":"#/components/schemas/V2Response_LastPosition"},{"type":"null"}]},"rr_lat":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Rr Lat"},"rr_lon":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Rr Lon"},"calc_track":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Calc Track"},"nav_altitude_fms":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Nav Altitude Fms"}},"type":"object","required":["hex","messages","mlat","rssi","seen","tisb","type"],"title":"V2Response_AcItem"},"V2Response_LastPosition":{"properties":{"lat":{"type":"number","title":"Lat"},"lon":{"type":"number","title":"Lon"},"nic":{"type":"integer","title":"Nic"},"rc":{"type":"integer","title":"Rc"},"seen_pos":{"type":"number","title":"Seen Pos"}},"type":"object","required":["lat","lon","nic","rc","seen_pos"],"title":"V2Response_LastPosition"},"V2Response_Model":{"properties":{"ac":{"items":{"$ref":"#/components/schemas/V2Response_AcItem"},"type":"array","title":"Ac"},"ctime":{"type":"integer","title":"Ctime"},"msg":{"type":"string","title":"Msg"},"now":{"type":"integer","title":"Now"},"ptime":{"type":"integer","title":"Ptime"},"total":{"type":"integer","title":"Total"}},"type":"object","required":["ac","ctime","msg","now","ptime","total"],"title":"V2Response_Model"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}